Bug 164906 - [PATCH] graphics/libjpeg-turbo: add -fPIC
[PATCH] graphics/libjpeg-turbo: add -fPIC
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-08 12:30 UTC by martin.dieringer
Modified: 2012-03-14 18:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (388 bytes, patch)
2012-02-08 12:30 UTC, martin.dieringer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description martin.dieringer 2012-02-08 12:30:11 UTC
add PIC to library

Port maintainer (bytestore@yandex.ru) is cc'd.

Generated with FreeBSD Port Tools 0.99

Fix: begin 644 libjpeg-turbo-1.1.1_1.patch
Comment 1 Edwin Groothuis freebsd_committer 2012-02-08 12:30:46 UTC
Maintainer of graphics/libjpeg-turbo,

Please note that PR ports/164906 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/164906

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-02-08 12:30:49 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 bytestore 2012-02-08 13:05:53 UTC
Yep, i have tested position independent code. Approve it! 

08.02.2012, 16:30, "Edwin Groothuis" <edwin@FreeBSD.org>:
> Maintainer of graphics/libjpeg-turbo,
>
> Please note that PR ports/164906 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/164906
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

-- 
ICQ161330462
Comment 4 pgollucci freebsd_committer 2012-02-08 20:13:31 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 5 Chris Rees freebsd_committer 2012-02-09 19:36:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 6 dfilter freebsd_committer 2012-02-16 08:57:48 UTC
crees       2012-02-16 08:57:39 UTC

  FreeBSD ports repository

  Modified files:
    graphics/libjpeg-turbo Makefile 
  Log:
  Add -fPIC
  
  PR:             ports/164906
  Submitted by:   Martin Dieringer <martin.dieringer@gmx.de>
  Approved by:    Denis Podolskiy <bytestore@yandex.ru> (maintainer)
  
  Revision  Changes    Path
  1.16      +2 -2      ports/graphics/libjpeg-turbo/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Chris Rees freebsd_committer 2012-02-16 08:57:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 8 Chris Rees freebsd_committer 2012-02-16 13:18:36 UTC
State Changed
From-To: closed->open

Unfortunately, this appears to be an incomplete solution.  We should 
only be adding -fPIC for shlibs to ensure performance isn't hurt.  I'll 
investigate.
Comment 9 dfilter freebsd_committer 2012-03-04 10:03:01 UTC
crees       2012-03-04 10:02:52 UTC

  FreeBSD ports repository

  Modified files:
    graphics/libjpeg-turbo Makefile 
  Log:
  Revert -fPIC addition; no-op anyway, and uses invalid sh code.
  
  PIC is already detected by libtool.
  
  PR:             ports/164906
  Submitted by:   Jan Beich, bf
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.17      +2 -2      ports/graphics/libjpeg-turbo/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Chris Rees freebsd_committer 2012-03-04 10:03:59 UTC
State Changed
From-To: open->closed

Reverted-- libtool detects PIC anyway.
Comment 11 Chris Rees freebsd_committer 2012-03-04 10:49:26 UTC
State Changed
From-To: closed->open

One more try :)  The patch at 
http://www.bayofrum.net/~crees/patches/jpeg-turbo-fpic.diff adds an 
OPTION for compiling with PIC; for performance reasons it's probably not 
best built that way by default.  Perhaps check with upstream?
Comment 12 Chris Rees freebsd_committer 2012-03-04 10:49:45 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 13 bytestore 2012-03-14 16:38:05 UTC
Please  add this patch using OPTION for someone could need this in the
future.

-- 
bytestore@yandex.ru
Denis E Podolskiy
icq161330462
Comment 14 Chris Rees freebsd_committer 2012-03-14 18:18:55 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 15 dfilter freebsd_committer 2012-03-14 18:18:55 UTC
crees       2012-03-14 18:18:40 UTC

  FreeBSD ports repository

  Modified files:
    graphics/libjpeg-turbo Makefile 
  Log:
  Add OPTION for --with-pic
  
  PR:             ports/164906
  Submitted by:   Martin Dieringer <martin.dieringer@gmx.de>
  Approved by:    bytestore@yandex.ru (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.19      +8 -0      ports/graphics/libjpeg-turbo/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"